import { Account } from "../imap/ImapSync";
import logger from "../../system/Logger";
import nodemailer, { Transporter } from "nodemailer";

export class SmapInstance {
    transporter: Transporter;
    account: Account;

    constructor(account) {
        // todo store other data
        this.transporter = nodemailer.createTransport({
            host: "smtp.gmail.com",
            port: 465,
            secure: true,
            auth: {
                user: account.user,
                pass: account.password,
            },
        });
        this.account = account;
    }

    sendMail() {
        const msg = {
            from: "",
            to: "",
            subject: "Hello ✔",
            text: "Hello world?",
            html: "<b>Hello world?</b>",
        };
        this.transporter.sendMail(msg, (err, message) => {
            if (err) {
                logger.err(err);
                throw err;
            }
            logger.log(message);
        });
    }
}
